<?php

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;


define('DS', DIRECTORY_SEPARATOR);
$modulePath = dirname(__DIR__);
$whmcsPath  = dirname(dirname(dirname($modulePath)));

require_once $whmcsPath . DS . 'init.php';
require_once $modulePath . DS . 'core' . DS . 'Bootstrap.php';
require_once  $whmcsPath . DS .'modules'. DS .'addons'. DS .'proxmoxAddon'.DS. 'core' . DS . 'Bootstrap.php';
//cause WHMCS
ini_set('max_execution_time', 0);

$argList = $argv ? $argv : $_SERVER['argv'];
if (count($argList) === 0)
{
    $argList = [__FILE__];
}
 (new \ModulesGarden\Servers\ProxmoxCloudVps\App\Cron\MainCron())->run();

